Bug 169383 - wnck bindings need to be updated to reflect renaming of wnck_window_demands_attention to wnck_window_needs_attention
wnck bindings need to be updated to reflect renaming of wnck_window_demands_a...
Product: Fedora
Classification: Fedora
Component: gnome-python2-extras (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Depends On:
Blocks: 169147
  Show dependency treegraph
Reported: 2005-09-27 14:43 EDT by Dave Malcolm
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-02-14 21:08:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 317366 None None None Never

  None (edit)
Description Dave Malcolm 2005-09-27 14:43:48 EDT
Description of problem:
This is a downstream copy of this upstream bug:

which I'm filing here so I can add it to a tracker bug.
Python 2.4.1 (#1, Sep 26 2005, 18:23:52)
[GCC 4.0.1 20050919 (Red Hat 4.0.1-14)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import wnck
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
ImportError: /usr/lib/python2.4/site-packages/gtk-2.0/wnck.so: undefined symbol:

Doing some digging, it turns out that wnck_window_demands_attention was renamed
to wnck_window_needs_attention, I believe in libwnck version 2.11.4; this was in
revision 1.55 of libwnck/libwnck/window.c, see:

I'm working on a patch to the bindings...

Version-Release number of selected component (if applicable):
Comment 1 Matthew Barnes 2007-02-14 21:08:56 EST
Looks like this has long since been fixed.  Closing.

Note You need to log in before you can comment on or make changes to this bug.